Skip to main content
`Ctrl`+`K`

# DMPlexCreateOverlapMigrationSF

Create a `PetscSF` describing the new mesh distribution to make the overlap described by the input `PetscSF`

## Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexCreateOverlapMigrationSF(DM dm, PetscSF overlapSF, PetscSF *migrationSF)

Collective

## Input Parameters

- dm - The `DM`

- overlapSF - The `PetscSF` mapping ghost points in overlap to owner points on other processes

## Output Parameter

- migrationSF - A `PetscSF` that maps original points in old locations to points in new locations

## See Also

`DMPLEX`, `DMPlexCreateOverlapLabel()`, `DMPlexDistributeOverlap()`, `DMPlexDistribute()`

## Level

developer

## Location

src/dm/impls/plex/plexdistribute.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages